summaryrefslogtreecommitdiffstats
path: root/network/krb5/krb5.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/krb5/krb5.SlackBuild')
-rw-r--r--network/krb5/krb5.SlackBuild29
1 files changed, 13 insertions, 16 deletions
diff --git a/network/krb5/krb5.SlackBuild b/network/krb5/krb5.SlackBuild
index 90515f8892..233c43482f 100644
--- a/network/krb5/krb5.SlackBuild
+++ b/network/krb5/krb5.SlackBuild
@@ -6,13 +6,13 @@
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
-# modification, are permitted provided that the following conditions
+# modification, are permitted provided that the following conditions
# are met:
# * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
# * Redistributions in binary form must reproduce the above
-# copyright notice, this list of conditions and the following
-# disclaimer in the documentation and/or other materials
+# copyright notice, this list of conditions and the following
+# disclaimer in the documentation and/or other materials
# provided with the distribution.
# * Neither the name of Tom Canich nor the names of other contributors
# may be used to endorse or promote products derived from this
@@ -20,18 +20,18 @@
#
# THIS SOFTWARE IS PROVIDED BY Tom Canich ''AS IS'' AND ANY
# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
-# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
-# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL Tom Canich BE LIABLE FOR
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL Tom Canich BE LIABLE FOR
# ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
-# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
-# GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
-# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
-# IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
-# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
+# GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
+# IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
# IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=krb5
-VERSION=${VERSION:-1.7}
+VERSION=${VERSION:-1.7.1}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
@@ -63,9 +63,6 @@ tar xvf $CWD/$PRGNAM-$VERSION-signed.tar -C $TMP
tar xvf $TMP/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION/src
-patch -p2 -i $CWD/patches/2009-003-patch.txt
-patch -p1 -i $CWD/patches/2009-004-patch_1.7.txt
-
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -90,7 +87,7 @@ chmod 0755 $PKG/etc/profile.d/*
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
+ xargs strip --strip-unneeded 2> /dev/null || true
)
( cd $PKG/usr/kerberos/man
@@ -100,7 +97,7 @@ chmod 0755 $PKG/etc/profile.d/*
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \
- $CWD/README $CWD/README.krb5 $CWD/EXPORT $CWD/patches \
+ $CWD/README $CWD/README.krb5 $CWD/EXPORT \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
chown -R root:root $PKG/usr/doc